Subject: [otrs] I share my upgrading proc to 2.2.5 from 2.1.x
From: "Forms" <[email-masked]>
To: "'User questions and discussions about OTRS.org'" <[email-masked]>
Date: Tue, 4 Mar 2008 12:50:34 -0500

Hi guys,
 
Recently I upgrade my OTRS as follows:
( Basis: OTRS 2.1.x & FreeBSD 5.4 & Apache 2.1.4 & MySql 4.0.x )
 
1 Download 2.2.5 version to temp area
2 Unzip
3 Move unziped files to production area
4 Stop crons & apache services to 2.1.x
5 Backup 
     the 2.1.x data base
     the 2.1.x source code 
6 Run the upgrade script
    cat DBUpdate-to-2.2.mysql.sql | mysql -p -f -u root DBotrs2.1.x
    I did not get any error message !!!
7 Run the SetPermissions.sh script as new
8 Modify front end as you need (DTL & PM files at Lite/Standard area and
Language file at Kernel area)
9 Copy & Edit as you need base files from .dist version:
      Config.pm 
      GenericAgent.pm 
      Defaults.pm
10 Copy ticket counter file from
OTRS-HOME-BACKUP-2.1.x/var/log/TicketCounter.log to new location
11 Restart crons & apache services to 2.1.x
12 Log in as root then go to Sysconfig to setup Framework & Ticket values
      I suggest go first to Core::Web => FrontEnd::ImagePath to get icon
into front end
 
as ending step: go to take a beer !!!
 
   Notice: I dont know if copying the ZZZFiles from 2.1.x backup could
replace the step 12. I prefer set-up every issue at Sysconfig as I unknown
if new issues were added to Sysconfig 2.2.5.
   Notice: The full procedure take 2 hours.

Carlos
México